nl.topicus.jdbc

## Class CloudSpannerArray

- java.lang.Object
- - nl.topicus.jdbc.CloudSpannerArray

All Implemented Interfaces:
  Array

    public class CloudSpannerArray
    extends Object
    implements Array

Implementation of java.sql.Array for Google Cloud Spanner

Author:
  loite

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static CloudSpannerArray` `createArray(CloudSpannerDataType type, List<? extends Object> elements)`
`boolean` `equals(Object other)`
`void` `free()`
`Object` `getArray()`
`Object` `getArray(long index, int count)`
`Object` `getArray(long index, int count, Map<String,Class<?>> map)`
`Object` `getArray(Map<String,Class<?>> map)`
`int` `getBaseType()`
`String` `getBaseTypeName()`
`ResultSet` `getResultSet()`
`ResultSet` `getResultSet(long index, int count)`
`ResultSet` `getResultSet(long index, int count, Map<String,Class<?>> map)`
`ResultSet` `getResultSet(Map<String,Class<?>> map)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### createArray

    public static CloudSpannerArray createArray(CloudSpannerDataType type,
                                                List<? extends Object> elements)

#### getBaseTypeName

    public String getBaseTypeName()
                           throws SQLException

Specified by:
  `getBaseTypeName` in interface `Array`
Throws:
  `SQLException`

#### getBaseType

    public int getBaseType()
                    throws SQLException

Specified by:
  `getBaseType` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray()
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray(Map<String,Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray(long index,
                           int count)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getArray

    public Object getArray(long index,
                           int count,
                           Map<String,Class<?>> map)
                    throws SQLException

Specified by:
  `getArray` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet()
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet(Map<String,Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet(long index,
                                  int count)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### getResultSet

    public ResultSet getResultSet(long index,
                                  int count,
                                  Map<String,Class<?>> map)
                           throws SQLException

Specified by:
  `getResultSet` in interface `Array`
Throws:
  `SQLException`

#### free

    public void free()
              throws SQLException

Specified by:
  `free` in interface `Array`
Throws:
  `SQLException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`